<?php  
class ControllerModuleRoistat extends Controller {

	public function index() {
	
		$response = array('orders' => array(), 'statuses' => array());

		// Модель с настройками
		$this->load->model('setting/setting');
		$setting = $this->model_setting_setting->getSetting('roistat');
		
		// Проверяем token
        @$token = $this->request->get['token'];
        if ($token !== md5($setting['username'] . $setting['password'])) {
			exit();
		}
		
		$edit_date = isset($_GET['date']) ? (int)$_GET['date'] : time() - 31*24*60*60;
		
		$language_id = $this->config->get('config_language_id');
		$store_id = $this->config->get('config_store_id');
		
		$statuses = $this->db->query("SELECT * FROM " . DB_PREFIX . "order_status WHERE `language_id` = '" . $language_id . "'");
		$orders = $this->db->query("SELECT * FROM " . DB_PREFIX . "order WHERE `store_id` = '" . $store_id . "' AND `date_modified` > {$edit_date};");
		
		// Статусы заказов
		foreach ($statuses->rows as $status) {
			$response['statuses'][] = array(
				'id'   => $status['order_status_id'],
				'name' => $status['name'],
			);
		}
		
		// Выборка заказов
		foreach ($orders->rows as $order) {
			$new = array(
				'id'          => $order['order_id'],
				'date_create' => $order['date_added'], 
				'date_update' => $order['date_modified'], 
				'status'      => $order['order_status_id'], 
				'price'       => $order['total'],
				'visit'       => $order['roistat_visit'],
				'fields'      => array(),
			);
			
			// Способ доставки
			if (isset($order['shipping_method'])) {
				$new['fields']['shipping_method'] = $order['shipping_method'];
			}
			
			// Способ оплаты			
			if (isset($order['payment_method'])) {
				$new['fields']['payment_method'] = $order['payment_method'];
			}
			
			// ID партнёра привлёкшего покупателя
			if ($order['affiliate_id']) {
				$new['fields']['affiliate_id'] = $order['affiliate_id'];
			}
		
			$response['orders'][] = $new;
		}
		
		//print_r($response);
		$output = json_encode($response);
		$this->response->addHeader('Content-Type: application/json');
		$this->response->setOutput($output);
	}
}